FA.UI/Models/ErrorViewModel.cs
namespace FA.UI.Models
{
    public class ErrorViewModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

FA.UI/Controllers/AccountController.cs
using Microsoft.AspNetCore.Mvc;

namespace FA.UI.Controllers
{
    public class AccountController : Controller
    {
        public IActionResult Login()
        {
            return View();
        }
    }
}

FA.UI/Controllers/CompanyController.cs
using AutoMapper;
using FA.Entity.Entity;
using FA.Model;
using FA.Model.CompanyModel;
using FA.Repository.UnitOfWork;
using Microsoft.AspNetCore.Mvc;

namespace FA.UI.Controllers
{
    public class CompanyController : Controller
    {
        private readonly IUnitOfWork _unitOfWork;
        private readonly IMapper _mapper;

        public CompanyController(
            IUnitOfWork unitOfWork,
            IMapper mapper)
        {
            _unitOfWork = unitOfWork;
            _mapper = mapper;
        }

        [Route("danh-sach-cong-ty")]
        public IActionResult Companies()
        {
            return View();
        }

        [Route("them-moi-cong-ty")]
        public IActionResult CreateCompany()
        {
            return View();
        }

        [HttpPost]
        public IActionResult InsertCompany(CreateCompanyModel model)
        {
            try
            {
                if (ModelState.IsValid)
                {
                    _unitOfWork._companyRepository.Add(_mapper.Map<Company>(model));
                    return Ok();
                }
            }
            catch (Exception ex)
            {

                throw ex;
            }
           return View(model);
        }

        public IActionResult UpdateCompany(int Id)
        {
            return View();
        }
    }
}

FA.UI/Controllers/HomeController.cs
using FA.UI.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace FA.UI.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        [Route("dashboard")]
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

FA.UI/Views/Company/CreateCompany.cshtml
@model FA.Model.CompanyModel.CreateCompanyModel
@{
    ViewData["Title"] = "CreateCompany";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card-header">
    <h3 class="card-title">Thêm công ty</h3>
</div>
<div class="card-body">
    <div class="form-group row">
        <label class="col-3 col-form-label">Mã công ty</label>
        <div class="col-9">
            <input type="text" class="form-control" asp-for="CompanyCode" placeholder="Mã công ty">
        </div>
    </div>
    <div class="form-group row">
        <label class="col-3 col-form-label">Tên công ty</label>
        <div class="col-sm-9">
            <input type="text" class="form-control" asp-for="CompanyName" placeholder="Tên công ty">
        </div>
    </div>
</div>
<!-- /.card-body -->
<div class="card-footer">
    <a href="@Url.Action("Companies","Company")" class="btn btn-default">Quay lại</a>
    <button type="submit" onclick="SaveCompany()" class="btn btn-info">Thêm</button>
</div>
@*<script src="~/plugins/jquery/jquery.min.js"></script>*@
<script>
    function SaveCompany() {
        var formData = new FormData();
        formData.append("CompanyCode", $("#CompanyCode").val());
        formData.append("CompanyName", $("#CompanyName").val());
        formData.append("__RequestVerificationToken", _token);

        $.ajax({
            type: "POST",
            url: '@Url.Action("InsertCompany")',
            data: formData,
            contentType: false,
            processData: false,
            dataType: "json",
            success: function(rs) {
                if (rs.code != 401)
                    callback(rs);
                else if (rs.code == 401) {
                    location.href = "/";
                }
            }
        });
    }
</script>

FA.UI/Views/Shared/_LayoutLogin.cshtml
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="~/fonts/icomoon/style.css">

    <link rel="stylesheet" href="~/css-login/owl.carousel.min.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="~/css-login/bootstrap.min.css">
    
    <!-- Style -->
    <link rel="stylesheet" href="~/css-login/style.css">

    <title>FA .Net04</title>
  </head>
  <body>
  <div class="d-lg-flex half">
    @RenderBody()
  </div>
    <script src="~/js-login/jquery-3.3.1.min.js"></script>
    <script src="~/js-login/popper.min.js"></script>
    <script src="~/js-login/bootstrap.min.js"></script>
    <script src="~/js-login/main.js"></script>
  </body>
</html>